Bug 466177 - Magic Lamp effect should not go below floating panel
Summary: Magic Lamp effect should not go below floating panel
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-various (show other bugs)
Version: 5.27.0
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-02-21 02:09 UTC by Bill
Modified: 2023-05-18 23:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27.6


Attachments
Video of Magic lamp going past the panel. (3.09 MB, video/mp4)
2023-02-21 02:09 UTC, Bill
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bill 2023-02-21 02:09:32 UTC
Created attachment 156560 [details]
Video of Magic lamp going past the panel.

SUMMARY
Magic Lamp effect goes offscreen, past the floating panel.  

STEPS TO REPRODUCE
1. Enable "magic lamp" desktop effect
2.  Enable floating panels
3.  Activate the magic lamp effect.    

OBSERVED RESULT
The application does not get sucked into the apps position, and instead goes off screen, below where the app is positioned.  

EXPECTED RESULT

The magic lamp effect should not go below the floating panel.  

SOFTWARE/OS VERSIONS

KDE Plasma Version:  5.27
KDE Frameworks Version: 103
Qt Version:  5.15.8

ADDITIONAL INFORMATION

This could be a matter of personal preference, but I think the magic lamp should go into the application icon on the taskbar, instead of going into the bottom of the screen below the floating panel.  Video attached.
Comment 1 Vlad Zahorodnii 2023-05-16 06:17:25 UTC
Git commit 00a1a506d18f99c16451af2fd5ee859c646b5b14 by Vlad Zahorodnii.
Committed on 16/05/2023 at 06:03.
Pushed by vladz into branch 'master'.

effects/magiclamp: Make it look good with floating panels

The magic lamp literally "squashes" the window through the window icon
in the task manager.

It's assumed that there's nothing below the panel, so the magic lamp
doesn't perform any clipping.

With floating panels, it's not the case. So let's clamp the x or the y
coordinates when the window moves horizontally or vertically,
respectively, in order to ensure that the window is not visible in the
gap between the floating panel and the screen edge.
Related: bug 361121

M  +68   -8    src/plugins/magiclamp/magiclamp.cpp

https://invent.kde.org/plasma/kwin/commit/00a1a506d18f99c16451af2fd5ee859c646b5b14
Comment 2 Vlad Zahorodnii 2023-05-16 07:12:09 UTC
Git commit e749d285feccc91111255155b2ee2d21cb00b205 by Vlad Zahorodnii.
Committed on 16/05/2023 at 06:25.
Pushed by vladz into branch 'Plasma/5.27'.

effects/magiclamp: Make it look good with floating panels

The magic lamp literally "squashes" the window through the window icon
in the task manager.

It's assumed that there's nothing below the panel, so the magic lamp
doesn't perform any clipping.

With floating panels, it's not the case. So let's clamp the x or the y
coordinates when the window moves horizontally or vertically,
respectively, in order to ensure that the window is not visible in the
gap between the floating panel and the screen edge.
Related: bug 361121
(cherry picked from commit 00a1a506d18f99c16451af2fd5ee859c646b5b14)

M  +68   -8    src/effects/magiclamp/magiclamp.cpp

https://invent.kde.org/plasma/kwin/commit/e749d285feccc91111255155b2ee2d21cb00b205